Log in or RegisterFR | EN

For a limited time only

macOS Catalina compatibility

Support

Following the release of Apple’s macOS Catalina (10.15), we’ve conducted a series of tests on our current lineup of instruments and we’ve have found no issues with either the standalone applications or the plug-ins.

The following instruments and effect are fully compatible with macOS Catalina.

Re-installing our instruments from scratch on macOS Catalina requires that you download the latest installers either from the Support or your Registered Products page.

The following legacy products no longer work on macOS Catalina so make sure your music projects don’t use them before upgrading. Tassman 4 may need to be uninstalled as it can hang some plug-in validators.

Note that many elements compose your music system. It’s quite possible that you may have to update your MIDI and audio hardware drivers, host sequencer software, and other plug-ins when upgrading to macOS Catalina. We recommend that you consult all the manufacturers that compose your music setup for more information about compatibility before upgrading your operating system.

While we were as thorough as possible while conducting our tests, they were done on the initial release of macOS Catalina and performed on a limited set of configurations. Therefore, the information provided here doesn’t constitute any warranty, expressed, or implied.

Please contact us if you find any anomalies while using our instruments on macOS Mojave.